please merge nginx 0.7.67 (httpd) from Debian unstable (httpd)

Bug #608172 reported by Mikhail Turov on 2010-07-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nginx (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: nginx

Debian changelog:

nginx (0.7.67-2) unstable; urgency=low

   * debian/conf/sites-available/default:
     + Removed reference to SSLv2 protocol (Closes: #589139)
   * debian/control:
     + Updated Standards-Version to 3.9.0
   * debian/copyright:
     + Don't point to BSD license file, included exact upstream version of
       license text
     + Added missing copyright owner for contrib/ scripts
     + debian/* license is same as upstream now as discussed with co-maintainers
 -- Kartik Mistry <email address hidden> Mon, 19 Jul 2010 10:36:32 +0530

nginx (0.7.67-1) unstable; urgency=low

   * New upstream release
 -- Kartik Mistry <email address hidden> Wed, 16 Jun 2010 01:26:51 +0530

nginx (0.7.65-7) unstable; urgency=low

   [Kartik Mistry]
   * debian/rules:
     + Enabled HTTPSubModule module in configure (Closes: #584828)
     + Arranged configure options in better manner
 -- Kartik Mistry <email address hidden> Mon, 07 Jun 2010 14:33:24 +0530

nginx (0.7.65-6) unstable; urgency=low

   [Kartik Mistry]
   * debian/README.Debian:
     + Fixed typo and somewhat better wordings
   * debian/conf/mime.types:
     + Added entry to support 7zip files (Closes: #580423)
   * debian/init.d:
     + Do not print config testing info until an error found, Thanks to Ubuntu
       bug 568293
   * debian/copyright:
     + Updated as per DEP-5 specification
 -- Kartik Mistry <email address hidden> Sat, 22 May 2010 01:41:33 +0530

nginx (0.7.65-5) unstable; urgency=low

   [Kartik Mistry]
   * debian/patches/fix_reloading_ipv6.diff:
     + Added patch to fix reloading with IPv6 addresses, Thanks to
       Matthias-Christian Ott <email address hidden> for patch (Closes: #577456)
 -- Kartik Mistry <email address hidden> Wed, 14 Apr 2010 11:36:48 +0530

nginx (0.7.65-4) unstable; urgency=low

   [Kartik Mistry]
   * debian/conf/sites-available/default:
     + Really listen for both IPv4 and IPv6 addresses. Thanks to Nikolaus
       Schulz <email address hidden> for notice (Closes: #574983)
   * debian/control, debian/rules:
     + Added GeoIP support, Thanks to Caetano Carezzato
       <email address hidden> (Closes: #575280)
   * debian/conf/mime.types:
     + Added svg entry to mime.types, Jeremy Lal <email address hidden>
       (Closes: #575155)
 -- Kartik Mistry <email address hidden> Thu, 25 Mar 2010 00:21:50 +0530

nginx (0.7.65-3) unstable; urgency=medium

   [Kartik Mistry]
   * Urgency set to medium due to Release Goal
   * debian/conf/sites-available/default:
     + Listen for both IPv4 and IPv6 addresses by default (Closes: #574983)
 -- Kartik Mistry <email address hidden> Tue, 23 Mar 2010 10:30:18 +0530

nginx (0.7.65-2) unstable; urgency=low

   * debian/README.Debian:
     + Added explanation about not installing files in /var/www/
       (Closes: #572513)
   * debian/rules:
     + Readded realip module support (Closes: #507419)
 -- Kartik Mistry <email address hidden> Sat, 06 Mar 2010 13:14:48 +0530

Related branches

description: updated
Mikhail Turov (groldster) wrote :
tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nginx - 0.7.67-2ubuntu1

---------------
nginx (0.7.67-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #608172) Remaining changes:
    + debian/rules:
      with-http_dav_module
      with-http_geoip_module
      with-http_gzip_static_module
      with-http_realip_module
      with-http_sub_module
    + .pc/applied-patches
      fix_reloading_ipv6.diff

nginx (0.7.67-2) unstable; urgency=low

  * debian/conf/sites-available/default:
    + Removed reference to SSLv2 protocol (Closes: #589139)
  * debian/control:
    + Updated Standards-Version to 3.9.0
  * debian/copyright:
    + Don't point to BSD license file, included exact upstream version of
      license text
    + Added missing copyright owner for contrib/ scripts
    + debian/* license is same as upstream now as discussed with co-maintainers

nginx (0.7.67-1) unstable; urgency=low

  * New upstream release

nginx (0.7.65-7) unstable; urgency=low

  [Kartik Mistry]
  * debian/rules:
    + Enabled HTTPSubModule module in configure (Closes: #584828)
    + Arranged configure options in better manner

nginx (0.7.65-6) unstable; urgency=low

  [Kartik Mistry]
  * debian/README.Debian:
    + Fixed typo and somewhat better wordings
  * debian/conf/mime.types:
    + Added entry to support 7zip files (Closes: #580423)
  * debian/init.d:
    + Do not print config testing info until an error found, Thanks to Ubuntu
      bug 568293
  * debian/copyright:
    + Updated as per DEP-5 specification

nginx (0.7.65-5) unstable; urgency=low

  [Kartik Mistry]
  * debian/patches/fix_reloading_ipv6.diff:
    + Added patch to fix reloading with IPv6 addresses, Thanks to
      Matthias-Christian Ott <email address hidden> for patch (Closes: #577456)

nginx (0.7.65-4) unstable; urgency=low

  [Kartik Mistry]
  * debian/conf/sites-available/default:
    + Really listen for both IPv4 and IPv6 addresses. Thanks to Nikolaus
      Schulz <email address hidden> for notice (Closes: #574983)
  * debian/control, debian/rules:
    + Added GeoIP support, Thanks to Caetano Carezzato
      <email address hidden> (Closes: #575280)
  * debian/conf/mime.types:
    + Added svg entry to mime.types, Jeremy Lal <email address hidden>
      (Closes: #575155)

nginx (0.7.65-3) unstable; urgency=medium

  [Kartik Mistry]
  * Urgency set to medium due to Release Goal
  * debian/conf/sites-available/default:
    + Listen for both IPv4 and IPv6 addresses by default (Closes: #574983)

nginx (0.7.65-2) unstable; urgency=low

  * debian/README.Debian:
    + Added explanation about not installing files in /var/www/
      (Closes: #572513)
  * debian/rules:
    + Readded realip module support (Closes: #507419)
 -- Mikhail Turov <email address hidden> Wed, 21 Jul 2010 11:57:53 +0100

Changed in nginx (Ubuntu):
status: New → Fix Released
Daniel Holbach (dholbach) wrote :

If you propose a merge, a separate bug is not really necessary.

Mikhail Turov (groldster) wrote :

thank you Daniel, will keep in mind.

Daniel Hahler (blueyed) on 2010-07-30
Changed in nginx (Ubuntu):
importance: Undecided → Wishlist
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers